Skip to content

Closes an open batch

Request

POST {{baseURL}}/v2/settlements/batches/close

This endpoint closes the merchant's currently open batch and submits its unsettled transactions for settlement with the specified payment processor.

Settlement is processed asynchronously. Poll GET /v2/settlements/batches to monitor when settlement completes. This action is irreversible.

See Also:
To list settlement batches, see GET /v2/settlements/batches.

Security
Bearer
Bodyapplication/json
paymentProcessorIdstring or null, (uuid)required

Identifies the payment processor.

Defaults to merchant's default processor.

Example: 76215e54-a85b-4d42-9553-163fe393cb02

Example:"76215e54-a85b-4d42-9553-163fe393cb02"
curl -i -X POST \
  https://sandbox.api.flute.com/v2/settlements/batches/close \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "paymentProcessorId": "70f07e54-ad9d-417c-9ab4-d4acc5302aa8"
  }'

Responses

OK

Bodyapplication/json
batchStatusobject

Identifies the batch settlement type.

Valid values are:

Batch TypeMeaning
OpenAn open batch is still active and accepting transactions.
PendingSettlementThe batch has been submitted for settlement and is processing with the acquirer or bank.
SettledA settled batch has completed processing with the acquirer or bank.
DeclinedThe batch settlement was declined by the acquirer or bank.

Example: Open

Response
{ "batchStatus": "PendingSettlement" }